/*
 * smv.c
 *
 * Copyright (C) 1993 Alain Knaff
 */
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/stat.h>

/*
 * statically linked mv replacement. Should be used when the libraries get hosed
 */

void main(int argc, char **argv)
{
  struct stat buf;

  if ( argc != 3 ){
    fprintf(stderr,"Usage: %s old-name new-name\n", argv[0] );
    exit(1);
  }

  /* make sur the file we try to move exist */
  if ( stat( argv[1], & buf ) < 0 ){
    perror("stat");
    exit(1);
  }

  unlink(argv[2]);
  if ( rename(argv[1], argv[2] ) < 0 ){
    perror("rename");
    exit(1);
  }
}

