/*
 * setaddress.c
 *
 * Copyright (C) 1993 Alain Knaff
 */
#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>
#include <fcntl.h>

void main(int argc, char **argv)
{
  int fd;
  int target;
  int contents;
  
  if ( argc != 3 && argc != 4){
    fprintf(stderr,"Bad argument count\n");
    fprintf(stderr,"Usage: %s library-file target [contents]\n",argv[0]);
    exit(1);
  }

  if ( argc == 3 )
    fd= open( argv[1], O_RDONLY);
  else
    fd= open( argv[1], O_WRONLY);

  if ( fd < 0 ){
    perror(argv[1]);
    exit(1);
  }

  target = strtoul( argv[2],0,0);
  
  if( lseek( fd, target + 0x401 - 0x60000000 , SEEK_SET ) < 0 ){
    perror("seek");
    exit(1);
  }

  if ( argc == 4 ){
    contents = strtoul(argv[3],0,0 ) - 5 - target;
    write(fd, &contents , 4 );
  } else {
    read(fd, &contents, 4 );
    printf("%x\n", contents + 5 + target );
  }
  exit(0);
}



  

  
